/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.dataPool.db.entity.DataSets;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* Restful接口--资源详情--数据传输对象：数据集
*
* createdate:  2022-10-24 17:01:19  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集")
public class DataSetsDetailDto extends DataSets implements Serializable
{
    @ApiModelProperty("创建人名称")
    private String creator;

    @ApiModelProperty("修改人名称")
    private String modifier;

    @ApiModelProperty("数据表头")
    private List<DataHeaderDto> tableHeader;

    @ApiModelProperty("数据内容 key-列名 value-该列数据信息列表")
    private Map<String,List<DataContentDto>> tableContent;

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public List<DataHeaderDto> getTableHeader() {
        return tableHeader;
    }

    public void setTableHeader(List<DataHeaderDto> tableHeader) {
        this.tableHeader = tableHeader;
    }

    public Map<String, List<DataContentDto>> getTableContent() {
        return tableContent;
    }

    public void setTableContent(Map<String, List<DataContentDto>> tableContent) {
        this.tableContent = tableContent;
    }
}